nesdoc(1)

NAME

nesdoc - generate TinyOS documentation

SYNOPSIS

TinyOS 1.x usage:
nesdoc [documentation-directory] [ncc-options] files...

TinyOS 2.x: collect documentation from a program:
nesdoc -o documentation-directory [-preserve]
       [-new] [-quiet] [-target=platform] [-topdir=directory] [-app]
       [ncc-options] files...

TinyOS 2.x: generate nesdoc HTML pages:
nesdoc -o documentation-directory -html
       [-new] [-quiet] [-target=platform]

DESCRIPTION

nesdoc is a tool to automatically extract documentation from nesC files and applications. There are two implementations of nesdoc: an old one that is used by default with TinyOS 1.x trees, and a new used with TinyOS 2.x trees or when the -new option is specified. It is not possible to use the old implementation with TinyOS 2.x.

Documentation directories have a subdirectory for each platform, and contain HTML files describing the components and interfaces in TinyOS. nesdoc generates these files by compiling nesC programs and extracting the documentation information.

When invoked, nesdoc generates documentation for the program that would be compiled with
    ncc ncc-options files...

The old nesdoc adds an HTML file for each component, interface in the compiled application to the documentation directory, and updates several indices. The old nesdoc does not support generic components or interfaces.

The new nesdoc separates HTML generation into two phases. First, an application is compiled and XML descriptions of its components and interfaces are added to the documentation directory. Once XML descriptions have been extracted for all components of interest, HTML pages are generated from this repository by running nesdoc with the -html option.

For more details, see the separate nesdoc documentation.

OPTIONS

-target=platform
    Specify the platform for which documentation is generated.

-preserve
    By default, when collecting information, nesdoc overwrites existing XML descriptions of interfaces and components to ensure that they are up to date. However, this is slow when generating documentation on a large number of applications. If you pass the -preserve option, existing XML descriptions are not replaced.

-html
    Generate HTML pages for all the nesdoc information collected in documentation-directory. -new Force the use of the new nesdoc even when using a TinyOS 1.x source tree.

-quiet
    Don't print informational messages.

-topdir=dir
    Specify directory paths that should be stripped from the source file names when generating "package names" for the documentation files. The directory above TOSDIR is automatically added, so this option is only needed for directories outside the main TinyOS distribution.

-app
    Also generate a graph for the whole application in the current directory - this is useful to check the wiring of a particular application.

SEE ALSO

ncc(1)